﻿using XamDataGridExample.Base;
using XamDataGridExample.Model;

namespace XamDataGridExample.ViewModel
{
    public class OrderViewModel :ViewModelBase
    {
        private Order Order { get; set; }

        public OrderViewModel(Order order)
        {
            Order = order;
        }

        public string Name
        {
            get { return Order.Name; }
            set
            {
                Order.Name = value;
                OnPropertyChanged("Name");
            }
        }
        public string Number
        {
            get { return Order.Number; }
            set
            {
                Order.Number = value;
                OnPropertyChanged("Number");
            }
        }
        public int Id => Order.Id;
        public string Description
        {
            get { return Order.Description; }
            set
            {
                Order.Description = value;
                OnPropertyChanged("Description");
            }
        }
    }
}
