﻿using System.Collections.Generic;
using System.Collections.ObjectModel;

namespace XamDataGridExample.Model
{
    public class Project
    {
        public string Name { get; set; }
        public int Id { get; set; }
        public string Number { get; set; }
        public List<Order> Orders { get; set; }

        public Project(int number)
        {
            Orders = new List<Order>();
            for (var i = 1; i <= number; i++)
            {
                Orders.Add(new Order {Id = i, Name = $"Order {i}", Number = $"{Number}O{i}", Description = "Description" });                
            }
        }
    }
}
