﻿using System.Collections.ObjectModel;
using XamDataGridExample.Base;
using XamDataGridExample.Model;

namespace XamDataGridExample.ViewModel
{
    public class XamDataGridViewModel :ViewModelBase
    {
        public ObservableCollection<ProjectViewModel> AllProjects { get; set; }

        public XamDataGridViewModel()
        {
            AllProjects = new ObservableCollection<ProjectViewModel>
            {
                new ProjectViewModel(new Project(2)
                {
                    Id = 1,
                    Name = "Building new School",
                    Number = "S42200"
                }),
                new ProjectViewModel(new Project(4)
                {
                    Id = 2,
                    Name = "Repairing old building",
                    Number = "R00023220"
                }),
                new ProjectViewModel(new Project(7)
                {
                    Id = 3,
                    Name = "New Bridge",
                    Number = "F544440000"
                }),
                new ProjectViewModel(new Project(3)
                {
                    Id = 4,
                    Name = "Expanding office",
                    Number = "O883333333"
                }),
                new ProjectViewModel(new Project(5)
                {
                    Id = 5,
                    Name = "New house",
                    Number = "FH55555999"
                })
            };
        } 
    }
}
